ChunkSet
Date: 2014-05-11

org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks

## Class ChunkSet

- java.lang.Object
- - org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks.ChunkSet

- Direct Known Subclasses:
    ReferenceChunkSet, SingletonChunkSet, TimeSeriesChunkSet

      public abstract class ChunkSet
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkSet(int MaxNumberOfChunks, int ChunkSize, java.lang.String SeriesName, java.lang.String SeriesColumn, java.math.BigInteger numberOfEntries, LexicalEngineConfiguration Config, Engine engine)`
    `ChunkSet(int MaxNumberOfChunks, int ChunkSize, java.lang.String SeriesName, java.lang.String SeriesColumn, LexicalEngineConfiguration Config, Engine engine)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateChunkSet()`
    `int` | `getChunkSize()`
    `java.math.BigInteger` | `getNumberOfEntries()`
    `java.lang.String` | `getSeriesColumn()`
    `java.lang.String` | `getSeriesName()`
    `abstract java.lang.Object` | `nextChunk()`
    `void` | `setChunkSize(int chunkSize)`
    `void` | `setNumberOfEntries(java.math.BigInteger numberOfEntries)`
    `void` | `setSeriesColumn(java.lang.String seriesColumn)`
    `void` | `setSeriesName(java.lang.String seriesName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkSet

          public ChunkSet(int MaxNumberOfChunks,
                  int ChunkSize,
                  java.lang.String SeriesName,
                  java.lang.String SeriesColumn,
                  LexicalEngineConfiguration Config,
                  Engine engine)
                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### ChunkSet

          public ChunkSet(int MaxNumberOfChunks,
                  int ChunkSize,
                  java.lang.String SeriesName,
                  java.lang.String SeriesColumn,
                  java.math.BigInteger numberOfEntries,
                  LexicalEngineConfiguration Config,
                  Engine engine)
                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### generateChunkSet

          public void generateChunkSet()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setSeriesName

          public void setSeriesName(java.lang.String seriesName)

    - #### getSeriesName

          public java.lang.String getSeriesName()

    - #### setSeriesColumn

          public void setSeriesColumn(java.lang.String seriesColumn)

    - #### getSeriesColumn

          public java.lang.String getSeriesColumn()

    - #### setChunkSize

          public void setChunkSize(int chunkSize)

    - #### getChunkSize

          public int getChunkSize()

    - #### setNumberOfEntries

          public void setNumberOfEntries(java.math.BigInteger numberOfEntries)

    - #### getNumberOfEntries

          public java.math.BigInteger getNumberOfEntries()

    - #### nextChunk

          public abstract java.lang.Object nextChunk()